#-*- coding: euc-jp -*-
import lup
import takahashi
import som3
import pygame
from pygame.locals import *
import demoutils

W = 1024
H = 768

TKFONTFILE = "gothic.ttf"
TKFONTCOURIERFILE = "courier.ttf"

tkfont = None
tkfonts = None
tkfontss = None
tkfontcourierss = None

BLACK = pygame.color.Color("black")

def takmeth(phase):
    surf = pygame.display.get_surface()
    surf.fill(BLACK)
    takahashi.slide([u"ⶶ᥽åɤ", u"ʬǽ񤱤"], tkfontss, surf.subsurface((0, 0, surf.get_width(), 380)))
    if phase > 0:
        surf.blit(takahashi.renderText(tkfontcourierss, [s.replace("\r", "").replace("\n", "") for s in file("takahashi-skel.py.txt")]), (50, 380))
    pygame.display.flip()

def blackout():
    pygame.display.get_surface().fill(BLACK)
    pygame.display.flip()

def main():

    global tkfont, tkfonts, tkfontss, tkfontcourierss
    pygame.init()

#    flags = 0
    flags = FULLSCREEN

    tkfont = pygame.font.Font(TKFONTFILE, 200)
    tkfonts = pygame.font.Font(TKFONTFILE, 145)
    tkfontss = pygame.font.Font(TKFONTFILE, 120)
    tkfontcourierss = pygame.font.Font(TKFONTCOURIERFILE, 22)

    tkfontsss = pygame.font.Font(TKFONTFILE, 105)
    tkfontssss = pygame.font.Font(TKFONTFILE, 70)
    tkfontodoro = pygame.font.Font("bloody.ttf", 130)

    scr = pygame.display.set_mode((W, H), flags)

    slides = []
    slides.append(lambda: blackout())
    slides.append(lambda: lup.slide(u"Python;+;SDL ˤ\n       spam к"))
    slides.append(lambda: takahashi.slide([u"spam к"], tkfonts))
    slides.append(lambda: takahashi.slide([u"ե륿", u"99% ɤ"], tkfontss))
    slides.append(lambda: takahashi.slide([u"", pygame.color.Color("red"), tkfontodoro, u"False Positive"], tkfontss))
    slides.append(lambda: takahashi.slide([u"spam ʤΤ", u"spam "], tkfontsss))
    slides.append(lambda: takahashi.slide([u"̿Ū"], tkfont))
    slides.append(lambda: takahashi.slide([u"spam եγǧ", u"= ꡼õ"], tkfontsss))
    slides.append(lambda: takahashi.slide([u"꡼õ", u"ޤ"], tkfontss))

    slides.append(lambda: takahashi.slide([u""], tkfont))
    slides.append(lambda: takahashi.slide([u"ѥե", u"ưȿ"], tkfontsss))

    slides.append(lambda: som3.slide("somdemo-ini.dat", vmF=True))
    slides.append(lambda: som3.slide("somdemo-done.dat", vmF=True))
    slides.append(lambda: som3.slide("somdemo-allread.dat", vmF=True))
    slides.append(lambda: som3.slide("somdemo-addspam.dat", vmF=True))
    slides.append(lambda: takahashi.slide([u"İ꤬Ȥޤ"], tkfontssss))
    slides.append(lambda: blackout())
    slides.append(lambda: takahashi.slide([u"ץΥƥ"], tkfontssss))
    demoutils.demomain(slides)

main()


#     slides.append(lambda: takahashi.slide([u"1. pygame "], tkfonts))
#     slides.append(lambda: takahashi.slide([u"Python+SDL", u"=\"pygame\""], tkfonts))
#     slides.append(lambda: takahashi.slide([u"", u"Ķ"], tkfont))
#     slides.append(lambda: takmeth(0))
#     slides.append(lambda: takmeth(1))
#     slides.append(lambda: takahashi.slide([u"®"], tkfont))
#     slides.append(lambda: takahashi.slide([u"ɤǤư"], tkfonts))
#     slides.append(lambda: takahashi.slide([u"ϤƤ"], tkfonts))

#     slides.append(lambda: takahashi.slide([u"2. spam к"], tkfonts))
#     slides.append(lambda: takahashi.slide([u"٥ե륿", u"99% ɤ"], tkfonts))
#     slides.append(lambda: takahashi.slide([u"", pygame.color.Color("red"), tkfontodoro, u"False Positive"], tkfonts))
#     slides.append(lambda: takahashi.slide([u"ѥसʤΤ", u"ѥష"], tkfonts))
#     slides.append(lambda: takahashi.slide([u"̿Ū"], tkfont))
#     slides.append(lambda: takahashi.slide([u"ѥեΥå", "= ꡼õ"], tkfonts))
# #    slides.append(lambda: takahashi.slide([u"꡼õ", u"ߤʤ"], tkfonts))
# #    slides.append(lambda: takahashi.slide([u"꡼õ", pygame.color.Color("red"), u"ޤ"], tkfonts))
#     slides.append(lambda: takahashi.slide([u"꡼õ", u"ޤ"], tkfonts))

#     slides.append(lambda: takahashi.slide([u""], tkfont))
#     slides.append(lambda: takahashi.slide([u"ѥե", u"ưȿ"], tkfonts))
